Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sorgql

    java.lang.Object
      org.netlib.lapack.Sorgql

    public class Sorgql

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SORGQL generates an M-by-N real matrix Q with orthonormal columns,
     *  which is defined as the last N columns of a product of K elementary
     *  reflectors of order M
     *
     *        Q  =  H(k) . . . H(2) H(1)
     *
     *  as returned by SGEQLF.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix Q. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix Q. M >= N >= 0.
     *
     *  K       (input) INTEGER
     *          The number of elementary reflectors whose product defines the
     *          matrix Q. N >= K >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the (n-k+i)-th column must contain the vector which
     *          defines the elementary reflector H(i), for i = 1,2,...,k, as

     *          returned by SGEQLF in the last k columns of its array
     *          argument A.
     *          On exit, the M-by-N matrix Q.
     *
     *  LDA     (input) INTEGER
     *          The first dimension of the array A. LDA >= max(1,M).
     *
     *  TAU     (input) REAL array, dimension (K)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by SGEQLF.
     *
     *  WORK    (workspace/output) REAL array, dimension (MAX(1,LWORK))
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK. LWORK >= max(1,N).
     *          For optimum performance LWORK >= N*NB, where NB is the
     *          optimal blocksize.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument has an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Sorgql()`

Method Summary
`static void` | `sorgql(int m, int n, int k, float[] a, int _a_offset, int lda, float[] tau, int _tau_offset, float[] work, int _work_offset, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sorgql

    public Sorgql()

Method Detail

### sorgql

    public static void sorgql(int m,
                              int n,
                              int k,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] tau,
                              int _tau_offset,
                              float[] work,
                              int _work_offset,
                              int lwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD